@version 2.2
@warnings
@script modeler
@name "UV Weld"


main
{
vmap = VMap(VMTEXTURE) || error("No UV map");

selmode(USER);
editbegin();
pc = pointcount();

if(vmap.isMapped(points[pc]))
    val = vmap.getValue(points[pc]);
else
    error("The last point selected isn't part of the UV map");

for(i=1;i<=pc+(-1);i++)
{
    if(vmap.isMapped(points[i]))
        {
        vmap.setValue(points[i],val);
        }
}

editend();

}
