@version 2.2
@warnings
@script modeler
@name "Symm UV Fix II"


main
{
vmap = VMap(VMTEXTURE) || error("No UV map");

selmode(USER);
editbegin();
pc = pointcount();

for(i=1;i<=pc;i+=2)
{
    p=points[i];
    if(vmap.isMapped(p))
        {
        val = vmap.getValue(p);
    
        if(val[1]>0.50)
            nv = 0.50+(-val[1]+(-0.50))+1;
        if(val[1]<0.50)
            nv = 0.50+(0.50+(-val[1]));
        if(val[1]==0.50)
            nv = 0.50;

        nu = val[2];
p2 = points[i+1];
vmap.setValue(p2,@nv,nu@);
    }
}

editend();

}
